# Full list of the BLAST Advanced options

- blastn
- blastp
- blastx
- tblastn

### BLASTN Program Advanced Options

      -G  Cost to open a gap [Integer]
        default = 5
      -E  Cost to extend a gap [Integer]
        default = 2
      -q  Penalty for a mismatch in the blast portion of run [Integer]
        default = -3
      -r  Reward for a match in the blast portion of run [Integer]
        default = 1
      -e  Expectation value (E) [Real]
        default = 10.0
      -W  Word size, default is 11 for blastn, 3 for other programs.
      -v  Number of one-line descriptions (V) [Integer]
        default = 100
      -b  Number of alignments to show (B) [Integer]
        default = 100

### BLASTP Program Advanced Options

### BLASTX Program Advanced Options

### TBLASTN Program Advanced Options

      -G  Cost to open a gap [Integer]
        default = 11
      -E  Cost to extend a gap [Integer]
        default = 1
      -e  Expectation value (E) [Real]
        default = 10.0
      -W  Word size, default is 11 for blastn, 3 for other programs.
      -v  Number of one-line descriptions (V) [Integer]
        default = 100
      -b  Number of alignments to show (B) [Integer]
        default = 100

      Limited values for gap existence and extension are supported for these three programs.
      Some supported and suggested values are:

      Existence	Extension

         10             1
         10             2
         11             1
          8             2
          9             2

Last modified: Mon July 31, 1997